- Main Page
- Modules
- Namespaces
- Classes
- Files

# task.h File Reference

`#include <glibmm.h>`
`#include <gst/gsttask.h>`
`#include <gstreamermm/object.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::Task
| Gst::Task - Abstraction of GStreamer streaming threads. More...
## Enumerations
enum | Gst::TaskState { Gst::TASK_STARTED, Gst::TASK_STOPPED, Gst::TASK_PAUSED }